package org.kde.qt;


/** {@link QFtp} emits these signals */
public interface QFtpSignals {
	void commandFinished( int arg1, boolean arg2 );
//	void newChildren( QValueList<QUrlInfo>* arg1, QNetworkOperation res );
	void connectionStateChanged( int state, String data );
	void commandStarted( int arg1 );
	void removed( QNetworkOperation res );
	void stateChanged( int arg1 );
	void createdDirectory( QUrlInfo arg1, QNetworkOperation res );
	void rawCommandReply( int arg1, String arg2 );
	void readyRead();
	void destroyed( QObject obj );
	void data( byte[] arg1, QNetworkOperation res );
	void dataTransferProgress( int arg1, int arg2 );
	void listInfo( QUrlInfo arg1 );
	void newChild( QUrlInfo arg1, QNetworkOperation res );
	void done( boolean arg1 );
	void itemChanged( QNetworkOperation res );
	void finished( QNetworkOperation res );
	void start( QNetworkOperation res );
}

